### Method

# ECal ReminderData set_component

since: 3.34

#### Declaration [src]

    void
    e_reminder_data_set_component (
      EReminderData* rd,
      const ECalComponent* component
    )

#### Description [src]

Set an `ECalComponent` `component` as associated with this `rd`. The `rd` creates a copy of the `component`.

Available since: 3.34

#### Parameters

`component`

  Type: `ECalComponent`

  An `ECalComponent`.

  The data is owned by the caller of the method.